/**********************************************************************
 *                                                                    *
 *  cfKolabAdmin - QT application for simple user administration of   *
 *    a Kolab1 server.                                                *
 *                                                                    *
 *  Copyright (c) 2004  Code Fusion cc                                *
 *  Writen by                                                         *
 *    Stephan Buys  <s.buys@codefusion.co.za>                         *
 *    Stuart Bing  <s.binge@codefusion.co.za>                        *
 *                                                                    *
 *  This  program is free  software; you can redistribute  it and/or  *
 *  modify it  under the terms of the GNU  General Public License as  *
 *  published by the  Free Software Foundation; either version 2, or  *
 *  (at your option) any later version.                               *
 *                                                                    *
 *  This program is  distributed in the hope that it will be useful,  *
 *  but WITHOUT  ANY WARRANTY; without even the  implied warranty of  *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  *
 *  General Public License for more details.                          *
 *                                                                    *
 *  You can view the  GNU General Public License, online, at the GNU  *
 *  Project's homepage; see <http://www.gnu.org/licenses/gpl.html>.   *
 *                                                                    *
 **********************************************************************/

#ifndef HEADER_USERLISTVIEWITEM
#define HEADER_USERLISTVIEWITEM

#include "LdapListViewItem.h"

extern char * ATTR_USER_LIST[];

extern char * ATTR_USER_FULL[];

// Specialisation of LdapListViewItem to handle user objects
class UserListViewItem : public LdapListViewItem
{
public:
    UserListViewItem(QListView * parent, LDAP * ldap_conn, LDAPMessage * ldap_entry);

    virtual QString getAttrs(bool * dne = 0);

    QString changePassword(const QString & password);
};

#endif
