/**********************************************************************
 *                                                                    *
 *  cfKolabAdmin - QT application for simple user administration of   *
 *    a Kolab1 server.                                                *
 *                                                                    *
 *  Copyright (c) 2004  Code Fusion cc                                *
 *  Writen by                                                         *
 *    Stephan Buys  <s.buys@codefusion.co.za>                         *
 *    Stuart Bing  <s.binge@codefusion.co.za>                        *
 *                                                                    *
 *  This  program is free  software; you can redistribute  it and/or  *
 *  modify it  under the terms of the GNU  General Public License as  *
 *  published by the  Free Software Foundation; either version 2, or  *
 *  (at your option) any later version.                               *
 *                                                                    *
 *  This program is  distributed in the hope that it will be useful,  *
 *  but WITHOUT  ANY WARRANTY; without even the  implied warranty of  *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  *
 *  General Public License for more details.                          *
 *                                                                    *
 *  You can view the  GNU General Public License, online, at the GNU  *
 *  Project's homepage; see <http://www.gnu.org/licenses/gpl.html>.   *
 *                                                                    *
 **********************************************************************/

void dlgAddUser::slotVerifyInput()
{
    bool quota_is_int;
    edtQuota->text().toInt(&quota_is_int);

    btnAddUser->setEnabled(
        !edtFirstName->text().isEmpty() &&
        !edtSurname->text().isEmpty() &&
        !edtEmailAddress->text().isEmpty() &&
        !edtPassword->text().isEmpty() &&
        !edtConfirm->text().isEmpty() &&
        edtPassword->text() == edtConfirm->text() && (
            edtQuota->text().isEmpty() ||
            quota_is_int
        )
    );
}

QString dlgAddUser::getFirstName()
    { return edtFirstName->text(); }

QString dlgAddUser::getSurname()
    { return edtSurname->text(); }

QString dlgAddUser::getEmailAddress()
    { return edtEmailAddress->text(); }

QString dlgAddUser::getPassword()
    { return edtPassword->text(); }

QString dlgAddUser::getQuota()
    { return edtQuota->text(); }
